﻿@model IEnumerable<CokingPlace.Models.Category>

@{
    ViewBag.Title = "Категорії";
}

<div class="page-header">
    @if (User.IsInRole("admin"))
    {
        <p>@Html.ActionLink("Додати нову категорію", "Create", null, new { @class = "redirect-link" })</p>
    }
    else
    {
        <h3>Категорії</h3>
    }
</div>
<table class="table">

    @foreach (var item in Model)
    {
        <tr>
            <td>
                <h4>
                    <a href="@Url.Action("Index", "Recipes", new {categoryId = item.Id})">
                        @Html.DisplayFor(modelItem => item.Name)
                    </a>
                </h4>
            </td>
            <td>
                @if (User.IsInRole("admin"))
                {
                    <div>
                        <a href="@Url.Action("Edit", new { id = item.Id })" class="icon-link">
                            <span class="glyphicon glyphicon-edit"></span>
                        </a>
                        <a href="@Url.Action("Delete", new { id = item.Id })" class="icon-link">
                            <span class="glyphicon glyphicon-trash"></span>
                        </a>
                    </div>
                }
            </td>
        </tr>
    }

</table>
